export declare type Headers = {
    [index: string]: string;
};
export declare class RestClient {
    headers: Headers;
    endpoint: string;
    response: {
        headers: Headers;
        statusCode: number;
        body: unknown;
    };
    request(method: string, path: string, queryString?: {
        [key: string]: string;
    }, extraHeaders?: Headers, body?: unknown, debug?: (...args: any) => void): Promise<string>;
}
